#
# spec file for package rsaref (Version 2.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

Name:         rsaref
License:      Other License(s), see package
Group:        System Environment/Libraries
Provides:     rsaref
Version:      2.0
Release:      8%{?dist}
Summary:      RSA Reference Implementation
Source:       rsaref-2.0.tar.gz
Patch0:       rsaref-2.0.dif
Patch1:       rsaref-init_local_var.patch
Packager:     vvm <vvm@mammoth.jinr.ru>
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: autoconf automake libtool

%description
RSAREF supports the following algorithms:

o    RSA encryption and key generation [1], as defined by RSA
Laboratories' Public-Key Cryptography Standards (PKCS) [2]

o    MD2 and MD5 message digests [3,4]

o    DES (Data Encryption Standard) in cipher-block chaining mode [5,6]

o    Diffie-Hellman key agreement [7], as defined by PKCS #3 [8]

o    DESX, RSA Data Security's efficient, secure DES enhancement

o    Triple-DES, for added security with three DES operations



%prep
%setup -q
%patch0
%patch1

%build
cp -rp install/unix local
pushd local
	make XCFLAGS="%{RPM_OPT_FLAGS}"
	mv rsaref.a ../librsaref.a
	strip librsaref.so
	mv librsaref.so ../
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{name}/
install -m 444 source/rsaref.h source/md2.h source/md5.h source/des.h \
	       source/global.h \
			$RPM_BUILD_ROOT%{_includedir}/%{name}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 444 librsaref.a $RPM_BUILD_ROOT%{_libdir}/
install -m 555 librsaref.so $RPM_BUILD_ROOT%{_libdir}/librsaref.so.%{version}
ln -s librsaref.so.%{version} $RPM_BUILD_ROOT%{_libdir}/librsaref.so
ldconfig -l $RPM_BUILD_ROOT%{_libdir}/librsaref.so.%{version}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%ifarch sparc
	install -m 755 rsacheck-sun-os $RPM_BUILD_ROOT%{_bindir}
	echo "%{_bindir}/rsacheck-sun-os" > filelist
%else
	touch filelist
%endif
install -m 755 local/dhdemo $RPM_BUILD_ROOT%{_bindir}/dhdemo
install -m 755 local/dhdemo $RPM_BUILD_ROOT%{_bindir}/rdemo

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f filelist
%doc doc readme.sig readme.txt
%{_libdir}/librsaref.*
%{_includedir}/%{name}
%{_bindir}/dhdemo
%{_bindir}/rdemo

%changelog -n rsaref
* Thu May 24 2007 - vvm@mammoth.jinr.ru
- rebuild for SL4X
* Wed May 18 2005 - vvm@mammoth.jinr.ru
- add global.h to include
* Wed Jun 18 2003 - coolo@suse.de
- use BuildRoot
* Thu May 25 2000 - rolf@suse.de
- patch to make it work in 64 bit architectures as well
* Thu May 25 2000 - rolf@suse.de
- initial package
- patch makefile to create shared libs
